<?php

use CodeIgniter\Router\RouteCollection;

/**
 * @var RouteCollection $routes
 */
$routes->get('/', 'Home::index');

// Specific route for form display by slug
$routes->get('builder/form/(:segment)', 'BuilderController::viewForm/$1');

// All builder module routes
$routes->get('builder', 'BuilderController::index');
$routes->get('builder/loadModule', 'BuilderController::loadModule');
$routes->get('builder/loadSettings', 'BuilderController::loadSettings');
$routes->post('builder/updateModule', 'BuilderController::updateModule');
$routes->post('builder/saveForm', 'BuilderController::saveForm');

// In app/Config/Routes.php
$routes->post('upload-image', 'ImageController::upload');

