function saveForm() {
  const formStructure = {
    form_name: document.getElementById('form-name').value,
    form_description: document.getElementById('form-slug').value,
    modules: [
      { module_name: "text_input", label: "Name", settings: { required: true } },
      { module_name: "email_input", label: "Email", settings: { required: true } }
    ]
  };

  console.log("✅ Form Data being sent:", formStructure);

  $.ajax({
    url: '/save_test.php',  // This should point to the new PHP file
    method: 'POST',
    data: {
      form_name: formStructure.form_name,
      form_description: formStructure.form_description,
      form_structure: JSON.stringify(formStructure.modules)
    },
    success: function(response) {
      console.log('✅ Save test successful:', response);
      alert("Form saved successfully!");
    },
    error: function(error) {
      console.log('❌ Error during save test:', error);
      alert("Error saving form. Check console.");
    }
  });
}
